Subject: Re: Integrating IXP4xx NPE support in kernel (with IXP4xx accesslibrary)

From: Deepak Saxena <[email-masked]>
Date: Sat, 24 Dec 2005 06:04:06 -0800

On Dec 21 2005, at 14:52, Lennert Buytenhek was caught saying:
> On Wed, Dec 21, 2005 at 01:00:34PM +0100, Stefan Roese wrote:
> 
> > The main question I have is, where should the IXP4xx access-library
> > be located in the kernel directory structure?
> 
> Maybe you can explain to the list readers what it is and what it does?
> 
> If it's ixp4xx-specific, arch/arm/mach-ixp4xx might just be the best
> place.  The ixp2000 microengine loader was put into arch/arm/mach-ixp2000
> for mostly that reason (being ixp2000-specific), while the ethernet driver
> that uses that microengine loader will live under drivers/net/.

The access library is also used by the ixp2350 and will be used by next
generation Intel parts, so it needs to go somewhere common.
arch/arm/common or maybe drivers/net/ixp.

~Deepak

-- 
Deepak Saxena - [email-masked] - http://www.plexity.net

A starving child in Africa or you in front of your TV?
Where's the real tragedy?

-------------------------------------------------------------------
List admin: http://lists.arm.linux.org.uk/mailman/listinfo/linux-arm-kernel
FAQ:        http://www.arm.linux.org.uk/mailinglists/faq.php
Etiquette:  http://www.arm.linux.org.uk/mailinglists/etiquette.php